com.atid.lib.module.barcode.spc.type

## Enum AustralianPostInterpretation

- java.lang.Object
- - java.lang.Enum<AustralianPostInterpretation>
  - - com.atid.lib.module.barcode.spc.type.AustralianPostInterpretation

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<AustralianPostInterpretation>

      public enum AustralianPostInterpretation
      extends java.lang.Enum<AustralianPostInterpretation>
      implements IEnumType

  This option controls what interpretation is applied to customer fields in Australian 4-State symbols. Bar Output lists the bar patterns in “0123” format. Numeric N Table causes that field to be interpreted as numeric data using the N Table. Alphanumeric C Table causes the field to be interpreted as alphanumeric data using the C Table. Refer to the Australian Post Specification Tables. Combination C and N Tables causes the field to be interpreted using either the C or N Tables.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AlphanumericCTable`
    `BarOutput`
    `CombinationNandCTables`
    `NumericNTable`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static AustralianPostInterpretation` | `valueOf(int code)`
    `static AustralianPostInterpretation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AustralianPostInterpretation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BarOutput

          public static final AustralianPostInterpretation BarOutput

    - #### NumericNTable

          public static final AustralianPostInterpretation NumericNTable

    - #### AlphanumericCTable

          public static final AustralianPostInterpretation AlphanumericCTable

    - #### CombinationNandCTables

          public static final AustralianPostInterpretation CombinationNandCTables

  - ### Method Detail

    - #### values

          public static AustralianPostInterpretation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AustralianPostInterpretation c : AustralianPostInterpretation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AustralianPostInterpretation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<AustralianPostInterpretation>`

    - #### valueOf

          public static AustralianPostInterpretation valueOf(int code)